Skip to content

Patch Character

PATCH
/api/characters/{character_id}
curl --request PATCH \
--url https://example.com/api/characters/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'

Update selected fields of an existing character.

character_id
required
Character Id
string
Media typeapplication/json
Patch
object
key
additional properties
any
Examplegenerated
{}

Successful Response

Media typeapplication/json
CharacterRecord
object
id
required
Id
string
>= 1 characters /^[a-zA-Z0-9_-]+$/
name
required
Name
string
>= 1 characters
kind
Any of:
string
Allowed values: human agent
trigger
Any of:
string
description
Any of:
string
base_prompt
Any of:
string
source_images
Source Images
Array<string>
loras
Loras
Array<object>
CharacterLoraBinding
object
workflow
required
Workflow
string
name
required
Name
string
strength
Strength
number
default: 1
base_model
Any of:
string
voice
Any of:
VoiceConfig

TTS voice configuration for a character or narrator.

object
provider
Provider
string
default: elevenlabs
voice_id
required
Voice Id
string
name
Any of:
string
settings
Settings
object
key
additional properties
any
defaults
Defaults
object
key
additional properties
any
metadata
Metadata
object
key
additional properties
any
Example
{
"kind": "human",
"loras": [
{
"strength": 1
}
],
"voice": {
"provider": "elevenlabs"
}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}